System Requirements for Identity Manager 4.7.x

NetIQ Corporation recommends the fully tested and certified platforms described in this page. However, customers running on other platforms or with untested configurations will be supported until the point NetIQ Corporation determines that the root cause is the uncertified platform or configuration. Issues that can be reproduced on the certified platforms will be prioritized and fixed according to standard defect-handling policies. For more information about support polices, see Support Policies. For more information about installation or hardware requirements, see the NetIQ Identity Manager Setup Guide for Linux or NetIQ Identity Manager Setup Guide for Windows.

Choose a category below to learn about the technical specifications.

1.0 Operating Systems for Identity Manager

Operating System (certified)

Identity Manager Engine (Identity Vault)

Remote Loader

iManager

Identity Applications

Identity Reporting

Designer

Analyzer

Sentinel Log Management for Identity Governance and Administration

Red Hat 7.5

Yes

Supported from Identity Manager 4.7 SP3.

Yes

Supported from Identity Manager 4.7 SP3.

Yes

Supported from Identity Manager 4.7 SP3.

Yes

Supported from Identity Manager 4.7 SP3.

Yes

Supported from Identity Manager 4.7 SP3.

Yes

Supported from Identity Manager 4.7 SP3.

Yes

Supported from Identity Manager 4.7 SP3.

Yes

Supported from Identity Manager 4.7 SP3.

Red Hat 7.6

Yes

Supported from Identity Manager 4.7 SP3.

Yes

Supported from Identity Manager 4.7 SP3.

Yes

Supported from Identity Manager 4.7 SP3.

Yes

Supported from Identity Manager 4.7 SP3.

Yes

Supported from Identity Manager 4.7 SP3.

Yes

Supported from Identity Manager 4.7 SP3.

Yes

Supported from Identity Manager 4.7 SP3.

Yes

Supported from Identity Manager 4.7 SP3.

Red Hat 7.4

Yes

Yes

Yes

Yes

Yes

Yes

Yes

Red Hat 7.3

Yes

Yes

Yes

Yes

Yes

Yes

Yes

Yes

SUSE Linux Enterprise Server 12 SP4

Yes

Yes

Yes

Yes

Yes

Yes

Yes

Yes

SUSE Linux Enterprise Server 12 SP3

Yes

Yes

Yes

Yes

Yes

Yes

Yes

SUSE Linux Enterprise Server 12 SP2

Yes

Yes

Yes

Yes

Yes

Yes

Yes

Yes

Windows Server 2019 (64-bit)

 

Yes

Supported from Identity Manager 4.7 SP2.

 

 

 

 

 

Windows Server 2016 (64-bit)

Yes

Yes

Yes

Yes

Yes

Yes

Yes

Windows Server 2012 (64-bit)

Yes

Yes

Yes

Yes

Yes

Yes

Yes

Windows Server 2012 R2 (64-bit)

Yes

Yes

Yes

Yes

Yes

Yes

Yes

Windows Server 2008 R2 (64-bit)

Yes **

OpenSUSE Leap 42.1

Yes

Yes

SUSE Linux Enterprise Desktop 12 SP3

Yes

Yes

SUSE Linux Enterprise Desktop 12 SP2

Yes

Yes

Open Enterprise Server (OES) 2018 SP1

Yes

Yes

Yes

Yes

Yes

Yes

Yes

Open Enterprise Server (OES) 2018 Update 3

Yes

Yes

Yes

Yes

Yes

Yes

Yes

MacOS 10.14

Yes

Supported from Identity Manager 4.7 SP3.

MacOS 10.13

Yes

Windows 10 (Desktop)

Yes

Windows 8 (Desktop)

Yes

NOTE:Identity Manager components (Identity Vault, Identity Manager engine, Identity Manager drivers and Remote Loader, iManager, Designer, Identity Applications, and Identity Reporting) can be deployed as services on Amazon Web Services (AWS) EC2 and Microsoft Azure. Deployment of Sentinel Log Management is not supported on cloud. For more information, see Deploying Identity Manager on AWS EC2 in the NetIQ Identity Manager Setup Guide for Linux or Deploying Identity Manager on Microsoft Azure in the NetIQ Identity Manager Setup Guide for Windows.

* Operating System Hotfixes: Before installing Identity Manager, NetIQ recommends that you apply the latest operating system patches according to the manufacturer's automated update facility.

* Operating System (supported): Latest versions of service packs for the certified operating systems are supported.

** Lotus Notes Client is only supported on the workstation platforms. A Remote Loader running on SLED (32-bit), Windows 10 (64-bit), and Windows 8 (64-bit) is only supported for the Lotus Notes driver integration. In normal Identity Manager installations, Remote Loader is supported only on server platforms.

2.0 Virtual Environments

Virtualization System (certified)

Identity Manager Engine (Identity Vault)

Remote Loader

Identity Applications

Identity Reporting

Designer

Analyzer

Sentinel Log Management for Identity Governance and Administration

VMWare ESX 6.0 and later

Yes

Yes

Yes

Yes

Yes

Yes

Yes

VMWare ESX 5.5 and later

Yes

Yes

Yes

Yes

Yes

Yes

Hyper-V Server 2012 R2

Yes

Yes

Yes

Yes

Yes

Yes

Windows Server 2012 R2

Virtualization with Hyper-V (supported)

Yes

Yes

Yes

Yes

Yes

Yes

Virtualization System (supported): NetIQ supports Identity Manager on enterprise-class virtualization systems that provide official support for the operating systems where NetIQ products are running. As long as the vendors of the virtualization systems officially support these operating systems, NetIQ supports the entire Identity Manager stack on them.

3.0 Hardware and Software Requirements

Category (Minimum Requirements)

Identity Manager (includes Identity Vault)

Remote Loader (all types)

iManager Server

Identity Applications *

Identity Reporting

Designer

Analyzer

Sentinel Log Management for Identity Governance and Administration

Processor

2 CPU cores

2 CPU cores

2 CPU cores

2 CPU cores

2 CPU cores

2 CPU cores

2 CPU cores

4 to 8 CPU cores

Memory

8 GB

8 GB

8 GB

8 GB

8 GB

4 GB

4 GB

8 to 16 GB

IMPORTANT:Identity Manager is certified on ext3, ext4, and XFS file systems on Linux and NTFS on Windows. BTRFS is not supported for Identity Vault.

* The system requirements also apply to the following components that you use with the identity applications: PostgreSQL, Tomcat, NetIQ One SSO Provider (OSP), and NetIQ Self Service Password Reset.

4.0 Identity Manager Component Versions

Component

Version supported with Identity Manager 4.7

Version supported with Identity Manager 4.7.1

Version supported with Identity Manager 4.7.2

Version supported with Identity Manager 4.7.3

NetIQ eDirectory

9.1

9.1.1

9.1.2

9.1.4.1

NetIQ iManager

3.1

3.1.1

3.1.2

3.1.4

NetIQ Identity Manager Engine

4.7

4.7.1

4.7.2

4.7.3

NetIQ Identity Manager Remote Loader

4.7

4.7.1

4.7.2

4.7.3

NetIQ Identity Manager Fanout Agent

1.2

1.2.1

1.2.2

1.2.2

NetIQ Designer for Identity Manager

4.7

4.7.1

4.7.2

4.7.3

NetIQ Identity Applications

4.7

4.7.1

4.7.2

4.7.3

NetIQ Single Sign-on

6.2.1

6.2.2

6.3

6.3.3

NetIQ Identity Manager Self-Service Password Reset

4.2.0.4

4.3.0

4.3.0

4.4.0.2

Platform Agent

2011.1r6

Not Bundled

Not Bundled

Not Bundled

NetIQ Identity Manager Client Login Extension

4.2

Not Bundled

Not Bundled

Not Bundled

NetIQ Identity Manager Identity Reporting

6.0

6.0.1

6.0.1.2

6.5

ZoomDB

Not Bundled

1.0.0.0

Not Bundled

Not Bundled

NetIQ Sentinel Log Management for Identity Governance and Administration

8.1.1

8.2

8.2

8.2.2

NetIQ Analyzer for Identity Manager

4.7

Not Bundled

Not Bundled

Not Bundled

NetIQ Identity Manager drivers

For driver versions, see the Identity Manager 4.7 Drivers Documentation website.

NOTE:The Identity Manager driver versions are independent of the engine version and do not indicate the minimum engine version required for a driver to run.

The following drivers have been released to support ZoomDB 1.0.0.0:

  • Managed System Gateway Driver 4.2.0.0

  • Data Collection Services Driver 4.2.0.0

Not Applicable

Not Applicable

5.0 Dependent Component Versions

Component

Version supported with Identity Manager 4.7

Version supported with Identity Manager 4.7.1

Version supported with Identity Manager 4.7.1.1

Version supported with Identity Manager 4.7.2

Version supported with Identity Manager 4.7.3

Java

1.8 Update 162

1.8 Update 172

1.8 Update 181

Azul Zulu 1.8.0_192

Azul Zulu 1.80_212 (except Analyzer)

Apache Tomcat

8.5.27

8.5.30

8.5.32

8.5.32

8.5.40

Apache ActiveMQ

5.15.2

5.15.2

5.15.2

5.15.2

5.15.9

OpenSSL

1.0.2n-fips

1.0.2n-fips

1.0.2n-fips

1.0.2n-fips

1.0.2n-fips

PostgreSQL

9.6.6

9.6.9

9.6.10

9.6.10

9.6.12

MapDB

3.0.5

Not Bundled. Replaced by ZoomDB 1.0.0.0.

Not Bundled

Not Bundled

Not Bundled

6.0 Databases

Component

Version supported with Identity Manager 4.7

Version supported with Identity Manager 4.7.1

Version supported with Identity Manager 4.7.1.1

Version supported with Identity Manager 4.7.2

Version supported with Identity Manager 4.7.3

PostgreSQL (bundled with the product as a default database for Identity Applications and Identity Reporting)

9.6.6

9.6.9

9.6.10

9.6.10

9.6.12

Oracle

12.2.0.1

12.2.0.1

12.2.0.1

12.2.0.1

12.2.0.1

MS SQL (supported only for Identity Applications)

2016

2016

2016

2017

2017

7.0 Web Browsers

Any of the following browsers, at a minimum:

  • Google Chrome 61

  • Mozilla Firefox 51

  • Apple Safari 9

  • Microsoft Edge 20.10240.17146.0

  • Microsoft Internet Explorer 11.0.10240.17443

NOTE:The Compatibility View option is not supported in the Internet Explorer browser.

8.0 System Requirements for Identity Manager Drivers

Driver

System Requirements

Connected System Version

Supported Installation

Driver for Identity Governance

  • NetIQ Identity Manager 4.6 or later

  • NetIQ Identity Manager 4.7 or later

Access Review 1.1 or later

Local and remote installation

Driver for Active Directory

  • NetIQ Identity Manager 4.6 or later

  • NetIQ Identity Manager 4.7 or later

Active Directory installed on:

  • Windows Server 2019 (64-bit)

  • Windows Server 2016 (64-bit)

  • Windows Server 2012 R2 (64-bit)

  • Windows Server 2012 (64-bit)

  • Windows Server 2008 R2 (64-bit)

  • Windows Server 2008 SP2 (64-bit)

Local and remote installation

Bidirectional Driver for eDirectory

  • NetIQ Identity Manager 4.6 or later

  • NetIQ Identity Manager 4.7 or later

  • Change-log module 4.0.2 or later (on SLES 12.x and RHEL 7.x)

NetIQ eDirectory 8.8.8.x, 9.0.x, 9.1.x

Local installation only

Remote installation not supported

Driver for Office 365 and Azure Active Directory

  • NetIQ Identity Manager 4.6 or later

  • NetIQ Identity Manager 4.7 or later

Azure Active Directory cloud

Local and remote installation

Driver for Blackboard

  • NetIQ Identity Manager 4.6 or later

  • NetIQ Identity Manager 4.7 or later

Blackboard 9 or later

Local and remote installation

Driver for eDirectory

  • NetIQ Identity Manager 4.6 or later

  • NetIQ Identity Manager 4.7 or later

NetIQ eDirectory 8.8.8.x, 9.0.x, 9.1.x

Local installation only

Remote installation not supported

Driver for Google Apps

  • NetIQ Identity Manager 4.6 or later

  • NetIQ Identity Manager 4.7 or later

G Suite by Google

Local and remote installation

Driver for GroupWise 2014

  • NetIQ Identity Manager 4.6 or later

  • NetIQ Identity Manager 4.7 or later

  • GroupWise 2014 SP1 or later

  • GroupWise 18 Server

Local and remote installation

Driver for Identity Tracking

  • NetIQ Identity Manager 4.6 or later

  • NetIQ Identity Manager 4.7 or later

Sentinel 7.4 or later

Local and remote installation

Drivers for JDBC

JDBC Driver

  • NetIQ Identity Manager 4.6 or later

  • NetIQ Identity Manager 4.7 or later

  • IBM DB2 Universal Database (UDB) 9.0 or later

  • Informix Dynamic Server (IDS) 11.0 or later

  • Microsoft SQL Server 2008, 2008 R2, 2012, 2014, and 2016

  • MySQL 5.5.x or later and MySQL 5.6.x or later

  • Oracle 11g Release 2 (11.2) or later

  • Oracle 12c

  • PostgreSQL 8.4.x or later, PostgreSQL 9.0.x or later, and PostgreSQL 9.6.3

  • Sybase Adaptive Server Enterprise (ASE) 15.0 or later

Local and remote installation

JDBC Fan-Out Driver

  • NetIQ Identity Manager 4.6 or later

  • NetIQ Identity Manager 4.7 or later

  • Microsoft SQL Server 2008, 2008 R2, 2012, 2014, and 2016

  • MySQL 5.5.x or later and 5.6.x or later

  • Oracle 11g Release 1 (11.1) or later

  • Oracle 12c

  • Sybase Adaptive Server Enterprise (ASE) 15.0 or later

Local and remote installation

Driver for JMS

  • NetIQ Identity Manager 4.6 or later

  • NetIQ Identity Manager 4.7 or later

  • JBossMQ v4.2.2

  • JBoss Messaging 1.3.0, JBoss Messaging 1.4.6, and Messaging 2.4.0

  • IBM WebSphere MQ v6.x, MQ v7.x, and MQ 7.5

  • SonicMQ v7.x, and Sonic 8.5

  • TIBCO EMS v4, v5, and v8.0

Local and remote installation

Driver for LDAP

  • NetIQ Identity Manager 4.6 or later

  • NetIQ Identity Manager 4.7 or later

LDAP v3 compliant LDAP directories

Local and remote installation

Drivers for Linux and UNIX

Bidirectional Driver

  • NetIQ Identity Manager 4.6 or later

  • NetIQ Identity Manager 4.7 or later

  • NetIQ Identity Manager 4.6 Integration Module for Mainframes

  • NetIQ Identity Manager 4.7 Integration Module for Mainframes

  • AIX* 6, 7

  • CentOS 6, 7 (32-bit, 64-bit)

  • Debian* N/A

  • HP-UX* 11.23 (RISC and IA64_32)

  • Oracle Linux N/A

  • Red Hat* Linux 6, 7 (32-bit, 64-bit)

  • Solaris* SPARC* 10, 11

  • Solaris x86 10, 11

  • SUSE Linux 10, 11, 12 (32-bit, 64-bit)

  • SUSE zLinux s390x 10, 11 (64-bit)

Local and remote installation

Fan-out Driver

  • NetIQ Identity Manager 4.6 or later

  • NetIQ Identity Manager 4.7 or later

  • NetIQ Identity Manager 4.6 Integration Module for Mainframes

  • NetIQ Identity Manager 4.7 Integration Module for Mainframes

  • AIX* 6, 7

  • CentOS 6, 7 (32-bit, 64-bit)

  • Debian* N/A

  • HP-UX* 11.23 ( IA64_32)

  • Oracle Linux 6, 7

  • Red Hat* Linux 6, 7 (32-bit, 64-bit)

  • Solaris* SPARC* 10, 11

  • Solaris x86 10, 11

  • SUSE Linux 11, 12 (32-bit, 64-bit)

  • SUSE zLinux s390x 11 (64-bit)

Local and remote installation

Driver for Linux and UNIX Settings

  • NetIQ Identity Manager 4.6 or later

  • NetIQ Identity Manager 4.7 or later

Same as any other Java-based driver. It does not have a connected system/ Remote Loader.

Local and remote installation

Driver for Lotus Notes

  • NetIQ Identity Manager 4.6 or later

  • NetIQ Identity Manager 4.7 or later

Lotus Domino v8.5, v8.5.2, v8.5.3, v9.0.x, and v10.0.1

Local installation not supported

Remote installation only

Windows 7 and 8, and Windows 10 (32-bit), SLED 12 SP2 or later, or RHEL 6 Client 32-bit

Driver for Multi-Domain Active Directory

  • NetIQ Identity Manager 4.6 or later

  • NetIQ Identity Manager 4.7 or later

Multi-Domain Active Directory on:

  • Windows Server 2019 (64-bit)

  • Windows Server 2016 (64-bit)

  • Windows Server 2012 R2 (64-bit)

  • Windows Server 2012 (64-bit)

  • Windows Server 2008 R2 (64-bit)

Local and remote installation

Driver for Mainframe - Bidirectional Driver

  • NetIQ Identity Manager 4.6 or later

  • NetIQ Identity Manager 4.7 or later

  • NetIQ Identity Manager 4.6 Integration Module for Mainframe

  • NetIQ Identity Manager 4.7 Integration Module for Mainframe

  • z/OS* 2.1, 2.2, 2.3

  • RACF* (supported z/OS version)

  • Top Secret* r15, r16

  • ACF/2* r15, r16

Local and remote installation

Driver for Midrange - Bidirectional Driver

  • NetIQ Identity Manager 4.6 or later

  • NetIQ Identity Manager 4.7 or later

  • NetIQ Identity Manager 4.6 Integration Module for Midrange

  • NetIQ Identity Manager 4.7 Integration Module for Midrange

  • V5R4, IBM i 6.1, IBM i 7.1 and later, i5/OS*, OS/400* for Identity Manager 4.6 or later

  • IBM i 7.1 and later for Identity Manager 4.7 or later

Local and remote installation

Driver for Oracle E-Business Suite

  • NetIQ Identity Manager 4.6 or later

  • NetIQ Identity Manager 4.7 or later

Oracle E-Business Suite 12.1.1 and above

Local and remote installation

Driver for Office 365

  • NetIQ Identity Manager 4.6 or later

  • NetIQ Identity Manager 4.7 or later

Office 365 Web Service

Local installation not supported

Remote installation only

Driver for Peoplesoft 5.2

  • NetIQ Identity Manager 4.6 or later

  • NetIQ Identity Manager 4.7 or later

PeopleSoft Application Server with:

  • PeopleTools 8.17 or later versions in the 8.1x release

  • PeopleTools 8.20 or later versions in the 8.2x release

  • PeopleTools 8.41 or later versions in the 8.4x release

  • PeopleTools 8.50 and later versions in the 8.5x release

Local installation not supported

Remote installation only

Driver for Privileged Account Manager

  • NetIQ Identity Manager 4.6 or later

  • NetIQ Identity Manager 4.7 or later

Privileged Account Manager 3.0 or later

Local and remote installation

Driver for Remedy Action Request System (ARS)

  • NetIQ Identity Manager 4.6 or later

  • NetIQ Identity Manager 4.7 or later

  • Action Request System Server 7.1 or later

  • Action Request System Server 8.x

  • Action Request System Server 9.x

Local and remote installation

Driver for REST

  • NetIQ Identity Manager 4.6 or later

  • NetIQ Identity Manager 4.7 or later

Any RESTful service

Local and remote installation

Driver for Salesforce.com

  • NetIQ Identity Manager 4.6 or later

  • NetIQ Identity Manager 4.7 or later

Salefsforce.com Web service

Local and remote installation

Driver for SAP HR

  • NetIQ Identity Manager 4.6 or later

  • NetIQ Identity Manager 4.7 or later

SAP HR system

Local and remote installation

Driver for SAP Portal

  • NetIQ Identity Manager 4.6 or later

  • NetIQ Identity Manager 4.7 or later

SAP NetWeaver 7.x

Local and remote installation

Driver for SAP User Management

  • NetIQ Identity Manager 4.6 or later

  • NetIQ Identity Manager 4.7 or later

SAP User Management systems (BASIS or Web Application Server)

Local and remote installation

Driver for SAP User Management Fan-Out

  • NetIQ Identity Manager 4.6 or later

  • NetIQ Identity Manager 4.7 or later

SAP Basic 7.0.0 system or later

Local and remote installation

Driver for Scripting

  • NetIQ Identity Manager 4.6 or later

  • NetIQ Identity Manager 4.7 or later

  • Windows Server 2003 (all editions)

  • Windows Server 2003 R2 (all editions)

  • Windows Server 2008 (all editions)

  • Windows Server 2008 R2 (all editions; Server Core installation not supported)

  • Windows Server 2012 (all editions; Core installation not supported)

  • Windows Server 2012 R2 (all editions; Core installation not supported)

  • Windows XP SP2/SP3

  • Windows Vista

  • Windows 7

  • Windows 8

  • Windows 8.1

  • Windows Server 2016 (all editions)

  • Windows 10

If you intend to use the 64-bit Scripting Driver, you must install an x64 (not ia64) version of Windows.

  • AIX* 6.1, 7

  • HP-UX* 11.31 (IA64_32, IA64_64)

  • Mac OS X 10.8, 10.9 (Darwin x86)

  • Solaris* SPARC* 10, 11

  • Solaris x86 10, 11

  • SUSE Linux 11, 12(32 and 64-bit)

  • SUSE zLinux s390x 11 (64-bit)

  • Red Hat* Linux 6, 7 (32 and 64-bit)

  • CentOS Linux 6, 7 (32 and 64-bit)

  • Debian* Linux 6, 7 (32-bit)

  • Oracle Linux 7 (32 and 64-bit)

Local and remote installation

Driver for ServiceNow

  • NetIQ Identity Manager 4.6 or later

  • NetIQ Identity Manager 4.7 or later

  • Istanbul

  • Jakarta

  • Kingston

  • London

  • Madrid

Local and remote installation

Driver for SOAP

  • NetIQ Identity Manager 4.6 or later

  • NetIQ Identity Manager 4.7 or later

SOAP 1.1 or later

Local and remote installation

Driver for SharePoint

  • NetIQ Identity Manager 4.6 or later

  • NetIQ Identity Manager 4.7 or later

  • SharePoint Server 2013

  • SharePoint Server 2016

Local installation not supported

Remote installation only

Driver for Ellucian Banner

  • NetIQ Identity Manager 4.6 or later

  • NetIQ Identity Manager 4.7 or later

BEIS (Banner Enterprise Integration Service)

Local and remote installation

NOTE:For more information about system requirements for each driver, see the driver implementation guide at Identity Manager Driver Documentation website.